
Application: gvSIG desktop - gvSIG bugs #5425
[PG] Expresiones aparecen en rojo que contienen campos calculados
09/05/2020 06:55 PM - Óscar Martínez

Status: Outdated % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:
Category:
Target version: 2.6.0-3328
Severity: Minor Add-on version:
gvSIG version: 2.6.0 Add-on build:
gvSIG build: 3325 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: ARENA2_GVA_2020 Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

History
#1 - 07/26/2023 11:36 AM - Francisco Díaz Carsí
- gvSIG build set to 3325
- gvSIG version changed from 2.5.1 to 2.6.0

Abro la ficha de búsqueda de accidentes.
La limpio.
Creo columna calculada anyo cuya expresión es EXTRACT
La añado a columnas a visualizar.
La selecciono en uno de los pickers de selección de atributos en la búsqueda simplificada y pongo como condición que sea mayor o igual que 2015.
Botón Buscar y la búsqueda se hace bien.
Voy a Avanzada y veo que la expresión es ( ("ARENA2_ACCIDENTES"."Anyo" >= 2015) ) y el fondo es amarillo que indica que la expresión es
correcta.
Modifico la expresión quitándole la tabla y cambiando al año a 2016, o sea: ( ("Anyo" >= 2016) )
El fondo se torna rojo indicando que la expresión es incorrecta pero pulsando el botón Buscar la búsqueda se hace correctamente.

#2 - 08/03/2023 02:27 PM - Álvaro Anguix
- Status changed from New to Outdated

#3 - 09/06/2023 12:48 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.6.1-final to 2.6.0-3328
